import request from '@/utils/request'
/* 吊装预警设备列表 */
export function getDzWarnList(query) {
    return request({
        url: '/bracelet/consControl/getDzWarnList',
        method: 'get',
        params: query
    })
}

/* 近电感应设备列表 */
export function getJdList(query) {
    return request({
        url: '/bracelet/consControl/getJdList',
        method: 'get',
        params: query
    })
}

/* 线路属性 */
export function getLineStats(query) {
    return request({
        url: '/system/select/getLineStats',
        method: 'get',
        params: query
    })
}

/* 线路属性的电压等级 */
export function getVoltageLevelByLineStats(query) {
    return request({
        url: '/system/select/getVoltageLevelByLineStats',
        method: 'get',
        params: query
    })
}

/* 添加近电感应配置 */
export function configJdDevice(data) {
    return request({
        url: '/bracelet/consControl/configJdDevice',
        method: 'post',
        data:data
    })
}

/* 查询近电感应设备配置 */
export function getConfigJdDevice(query) {
    return request({
        url: '/bracelet/consControl/getConfigJdDevice',
        method: 'get',
        params: query
    })
}

/* 近电感应设备预警信息 */
export function getJdWarnList(query) {
    return request({
        url: '/bracelet/consControl/getJdWarnList',
        method: 'get',
        params: query
    })
}